Twilio Integrations
Update Twilio Integration
Update a Twilio integration
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
twilioIntegrationIdstring* Required
The ID of the Twilio integration
Request Body * Required
Request Body Schema: application/json
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
blueprintIdstring
The ID of the blueprint
botIdstring
The ID of the bot this configuration is using
accountSidstring
The Twilio account SID
authTokenstring
The Twilio auth token
voicestring
The voice configuration structured string
contactCollectionboolean
Weather to collect contacts
sessionDurationnumber
The session duration (in milliseconds)
allowFromstring
Newline-or-comma-separated list of allowed senders. Use E.164 phone numbers with or without the leading `+`. Set to `*` to allow all. Leave empty to deny all.
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.integration.twilio.update(
twilioIntegrationId,{)"name":"string","description":"string","meta":"object","blueprintId":"string","botId":"string","accountSid":"string","authToken":"string","voice":"string","contactCollection":"boolean","sessionDuration":"number",}"allowFrom":"string"
{"id":"string"}